Package be.vlaanderen.mercurius.vsb_ewzcfin.schemas.v1

# Class NotifyAdmissionAcceptedResponseType

java.lang.Object
be.vlaanderen.mercurius.vsb_ewzcfin.schemas.v1.NotifyAdmissionAcceptedResponseType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:19:48+02:00", comments="JAXB RI v4.0.5") public class NotifyAdmissionAcceptedResponseType extends Object implements Serializable

Java class for NotifyAdmissionAcceptedResponseType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="NotifyAdmissionAcceptedResponseType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="AcceptedAdmission" type="{http://www.mercurius.vlaanderen.be/vsb-ewzcfin/schemas/v1}AcceptedAdmissionType"/>
             <element name="CreatedBedPeriodList" type="{http://www.mercurius.vlaanderen.be/vsb-ewzcfin/schemas/v1}AcceptedBedPeriodListType" minOccurs="0"/>
             <element name="ModifiedBedPeriodList" type="{http://www.mercurius.vlaanderen.be/vsb-ewzcfin/schemas/v1}AcceptedBedPeriodListType" minOccurs="0"/>
             <element name="CancelledBedPeriodList" type="{http://www.mercurius.vlaanderen.be/vsb-ewzcfin/schemas/v1}CancelledBedPeriodListType" minOccurs="0"/>
             <element name="CreatedTemporaryAbsenceList" type="{http://www.mercurius.vlaanderen.be/vsb-ewzcfin/schemas/v1}AcceptedTemporaryAbsenceListType" minOccurs="0"/>
             <element name="ModifiedTemporaryAbsenceList" type="{http://www.mercurius.vlaanderen.be/vsb-ewzcfin/schemas/v1}AcceptedTemporaryAbsenceListType" minOccurs="0"/>
             <element name="CancelledTemporaryAbsenceList" type="{http://www.mercurius.vlaanderen.be/vsb-ewzcfin/schemas/v1}CancelledTemporaryAbsenceListType" minOccurs="0"/>
             <element name="DependencyCategoryView" type="{http://www.mercurius.vlaanderen.be/vsb-ewzcfin/schemas/v1}DependencyCategoryViewType"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NotifyAdmissionAcceptedResponseType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AcceptedAdmissionType`
  `getAcceptedAdmission()`
  Unieke identificatie van de aanvaarde opname
  `CancelledBedPeriodListType`
  `getCancelledBedPeriodList()`
  Lijst van geannuleerde periodes woongelegenheid voor deze opname
  `CancelledTemporaryAbsenceListType`
  `getCancelledTemporaryAbsenceList()`
  Lijst van geannuleerde tijdelijke afwezigheidsperiodes voor deze opname
  `AcceptedBedPeriodListType`
  `getCreatedBedPeriodList()`
  Lijst van periodes woongelegenheid die toegevoegd werden
  `AcceptedTemporaryAbsenceListType`
  `getCreatedTemporaryAbsenceList()`
  Lijst van tijdelijke afwezigheden die toegevoegd werden
  `DependencyCategoryViewType`
  `getDependencyCategoryView()`
  Volledig beeld van de historiek van de berekende afhankelijkheidscategorieën
  `AcceptedBedPeriodListType`
  `getModifiedBedPeriodList()`
  Lijst van periodes woongelegenheid die gewijzigd werden
  `AcceptedTemporaryAbsenceListType`
  `getModifiedTemporaryAbsenceList()`
  Lijst van tijdelijke afwezigheden die gewijzigd werden
  `void`
  `setAcceptedAdmission(AcceptedAdmissionType value)`
  Sets the value of the acceptedAdmission property.
  `void`
  `setCancelledBedPeriodList(CancelledBedPeriodListType value)`
  Sets the value of the cancelledBedPeriodList property.
  `void`
  `setCancelledTemporaryAbsenceList(CancelledTemporaryAbsenceListType value)`
  Sets the value of the cancelledTemporaryAbsenceList property.
  `void`
  `setCreatedBedPeriodList(AcceptedBedPeriodListType value)`
  Sets the value of the createdBedPeriodList property.
  `void`
  `setCreatedTemporaryAbsenceList(AcceptedTemporaryAbsenceListType value)`
  Sets the value of the createdTemporaryAbsenceList property.
  `void`
  `setDependencyCategoryView(DependencyCategoryViewType value)`
  Sets the value of the dependencyCategoryView property.
  `void`
  `setModifiedBedPeriodList(AcceptedBedPeriodListType value)`
  Sets the value of the modifiedBedPeriodList property.
  `void`
  `setModifiedTemporaryAbsenceList(AcceptedTemporaryAbsenceListType value)`
  Sets the value of the modifiedTemporaryAbsenceList property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### NotifyAdmissionAcceptedResponseType

    public NotifyAdmissionAcceptedResponseType()

- ## Method Details

  - ### getAcceptedAdmission

    public AcceptedAdmissionType getAcceptedAdmission()
    Unieke identificatie van de aanvaarde opname
    Returns:
      possible object is `AcceptedAdmissionType`

  - ### setAcceptedAdmission

    public void setAcceptedAdmission(AcceptedAdmissionType value)
    Sets the value of the acceptedAdmission property.
    Parameters:
      `value` - allowed object is `AcceptedAdmissionType`
    See Also:
      - `getAcceptedAdmission()`

  - ### getCreatedBedPeriodList

    public AcceptedBedPeriodListType getCreatedBedPeriodList()
    Lijst van periodes woongelegenheid die toegevoegd werden
    Returns:
      possible object is `AcceptedBedPeriodListType`

  - ### setCreatedBedPeriodList

    public void setCreatedBedPeriodList(AcceptedBedPeriodListType value)
    Sets the value of the createdBedPeriodList property.
    Parameters:
      `value` - allowed object is `AcceptedBedPeriodListType`
    See Also:
      - `getCreatedBedPeriodList()`

  - ### getModifiedBedPeriodList

    public AcceptedBedPeriodListType getModifiedBedPeriodList()
    Lijst van periodes woongelegenheid die gewijzigd werden
    Returns:
      possible object is `AcceptedBedPeriodListType`

  - ### setModifiedBedPeriodList

    public void setModifiedBedPeriodList(AcceptedBedPeriodListType value)
    Sets the value of the modifiedBedPeriodList property.
    Parameters:
      `value` - allowed object is `AcceptedBedPeriodListType`
    See Also:
      - `getModifiedBedPeriodList()`

  - ### getCancelledBedPeriodList

    public CancelledBedPeriodListType getCancelledBedPeriodList()
    Lijst van geannuleerde periodes woongelegenheid voor deze opname
    Returns:
      possible object is `CancelledBedPeriodListType`

  - ### setCancelledBedPeriodList

    public void setCancelledBedPeriodList(CancelledBedPeriodListType value)
    Sets the value of the cancelledBedPeriodList property.
    Parameters:
      `value` - allowed object is `CancelledBedPeriodListType`
    See Also:
      - `getCancelledBedPeriodList()`

  - ### getCreatedTemporaryAbsenceList

    public AcceptedTemporaryAbsenceListType getCreatedTemporaryAbsenceList()
    Lijst van tijdelijke afwezigheden die toegevoegd werden
    Returns:
      possible object is `AcceptedTemporaryAbsenceListType`

  - ### setCreatedTemporaryAbsenceList

    public void setCreatedTemporaryAbsenceList(AcceptedTemporaryAbsenceListType value)
    Sets the value of the createdTemporaryAbsenceList property.
    Parameters:
      `value` - allowed object is `AcceptedTemporaryAbsenceListType`
    See Also:
      - `getCreatedTemporaryAbsenceList()`

  - ### getModifiedTemporaryAbsenceList

    public AcceptedTemporaryAbsenceListType getModifiedTemporaryAbsenceList()
    Lijst van tijdelijke afwezigheden die gewijzigd werden
    Returns:
      possible object is `AcceptedTemporaryAbsenceListType`

  - ### setModifiedTemporaryAbsenceList

    public void setModifiedTemporaryAbsenceList(AcceptedTemporaryAbsenceListType value)
    Sets the value of the modifiedTemporaryAbsenceList property.
    Parameters:
      `value` - allowed object is `AcceptedTemporaryAbsenceListType`
    See Also:
      - `getModifiedTemporaryAbsenceList()`

  - ### getCancelledTemporaryAbsenceList

    public CancelledTemporaryAbsenceListType getCancelledTemporaryAbsenceList()
    Lijst van geannuleerde tijdelijke afwezigheidsperiodes voor deze opname
    Returns:
      possible object is `CancelledTemporaryAbsenceListType`

  - ### setCancelledTemporaryAbsenceList

    public void setCancelledTemporaryAbsenceList(CancelledTemporaryAbsenceListType value)
    Sets the value of the cancelledTemporaryAbsenceList property.
    Parameters:
      `value` - allowed object is `CancelledTemporaryAbsenceListType`
    See Also:
      - `getCancelledTemporaryAbsenceList()`

  - ### getDependencyCategoryView

    public DependencyCategoryViewType getDependencyCategoryView()
    Volledig beeld van de historiek van de berekende afhankelijkheidscategorieën
    Returns:
      possible object is `DependencyCategoryViewType`

  - ### setDependencyCategoryView

    public void setDependencyCategoryView(DependencyCategoryViewType value)
    Sets the value of the dependencyCategoryView property.
    Parameters:
      `value` - allowed object is `DependencyCategoryViewType`
    See Also:
      - `getDependencyCategoryView()`